complexType "TradeProcessingTimestamps"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 16 elements
Defined: | globally in fpml-doc-5-3.xsd; see XML source
Includes: | definitions of 16 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | orderEntered?, orderSubmitted?, publiclyReported?, publicReportUpdated?, nonpubliclyReported?, nonpublicReportUpdated?, submittedForConfirmation?, updatedForConfirmation?, confirmed?, submittedForClearing?, updatedForClearing?, cleared?, allocationsSubmitted?, allocationsUpdated?, allocationsCompleted?, timestamp*
</...>

Content Model Elements (16):

  allocationsCompleted, allocationsSubmitted, allocationsUpdated, cleared (in timestamps), confirmed, nonpubliclyReported, nonpublicReportUpdated, orderEntered, | orderSubmitted, publiclyReported, publicReportUpdated, submittedForClearing, submittedForConfirmation, timestamp (in timestamps), updatedForClearing, updatedForConfirmation

All Direct / Indirect Based Elements (1):

  timestamps

Known Usage Locations

- As direct type of elements (1):
  timestamps

Annotation
Allows timing information about when a trade was processed and reported to be recorded.
XML Source (w/o annotations (17); see within schema source)

<xsd:complexType name="TradeProcessingTimestamps"> <xsd:sequence> <!-- additional DTCC gaps --> <xsd:element minOccurs="0" name="orderEntered" type="xsd:dateTime"/> <xsd:element minOccurs="0" name="orderSubmitted" type="xsd:dateTime"/> <!-- end additional DTCC gaps --> <xsd:element minOccurs="0" name="publiclyReported" type="xsd:dateTime"/> <xsd:element minOccurs="0" name="publicReportUpdated" type="xsd:dateTime"/> <xsd:element minOccurs="0" name="nonpubliclyReported" type="xsd:dateTime"/> <xsd:element minOccurs="0" name="nonpublicReportUpdated" type="xsd:dateTime"/> <xsd:element minOccurs="0" name="submittedForConfirmation" type="xsd:dateTime"/> <xsd:element minOccurs="0" name="updatedForConfirmation" type="xsd:dateTime"/> <xsd:element minOccurs="0" name="confirmed" type="xsd:dateTime"/> <xsd:element minOccurs="0" name="submittedForClearing" type="xsd:dateTime"/> <xsd:element minOccurs="0" name="updatedForClearing" type="xsd:dateTime"/> <xsd:element minOccurs="0" name="cleared" type="xsd:dateTime"/> <xsd:element minOccurs="0" name="allocationsSubmitted" type="xsd:dateTime"/> <xsd:element minOccurs="0" name="allocationsUpdated" type="xsd:dateTime"/> <xsd:element minOccurs="0" name="allocationsCompleted" type="xsd:dateTime"/> <!-- TODO: We are currently not including this in SDR reporting views, in order to encourange standardization of timestamp fields --> <xsd:element maxOccurs="unbounded" minOccurs="0" name="timestamp" type="TradeTimestamp"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 16/16)
allocationsCompleted

  Type: | xsd:dateTime, predefined, simple content

  When allocations for this trade were completely processed.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="allocationsCompleted" type="xsd:dateTime"/>

allocationsSubmitted

  Type: | xsd:dateTime, predefined, simple content

  When allocations for this trade were submitted or received by this party.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="allocationsSubmitted" type="xsd:dateTime"/>

allocationsUpdated

  Type: | xsd:dateTime, predefined, simple content

  When allocations for this trade were most recently corrected.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="allocationsUpdated" type="xsd:dateTime"/>

cleared

  Type: | xsd:dateTime, predefined, simple content

  When this trade was cleared.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="cleared" type="xsd:dateTime"/>

confirmed

  Type: | xsd:dateTime, predefined, simple content

  When this trade was confirmed.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="confirmed" type="xsd:dateTime"/>

nonpubliclyReported

  Type: | xsd:dateTime, predefined, simple content

  When the non-public report of this was created or received by this party.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="nonpubliclyReported" type="xsd:dateTime"/>

nonpublicReportUpdated

  Type: | xsd:dateTime, predefined, simple content

  When the non-public report of this was most recently corrected or corrections were received by this party.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="nonpublicReportUpdated" type="xsd:dateTime"/>

orderEntered

  Type: | xsd:dateTime, predefined, simple content

  When an order was first generated, as recorded for the first time when it was first entered by a person or generated by a trading algorithm (i.e., the first record of the order).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="orderEntered" type="xsd:dateTime"/>

orderSubmitted

  Type: | xsd:dateTime, predefined, simple content

  The time when an order is submitted by a market participant to an execution facility, as recorded based on the timestamp of the message that was sent by the participant. If the participant records this time (i.e. it is in the participant's party trade information), it will be the time the message was sent. If the execution facility records this time (i.e. it is in the facility's party trade information), it will be the time the message was received.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="orderSubmitted" type="xsd:dateTime"/>

publiclyReported

  Type: | xsd:dateTime, predefined, simple content

  When the public report of this was created or received by this party. If the participant records this time (i.e. it is in the participant's party trade information), it will be the time the message was sent. If the execution records this time (i.e. it is in the facility's party trade information), it will be the time the message was received.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="publiclyReported" type="xsd:dateTime"/>

publicReportUpdated

  Type: | xsd:dateTime, predefined, simple content

  When the public report of this was most recently corrected or corrections were sent or received by this party.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="publicReportUpdated" type="xsd:dateTime"/>

submittedForClearing

  Type: | xsd:dateTime, predefined, simple content

  When this trade was supplied to a clearing service for clearing.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="submittedForClearing" type="xsd:dateTime"/>

submittedForConfirmation

  Type: | xsd:dateTime, predefined, simple content

  When this trade was supplied to a confirmation service or counterparty for confirmation.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="submittedForConfirmation" type="xsd:dateTime"/>

timestamp

  Type: | TradeTimestamp, complex content

  Other timestamps for this trade. This is provisional in Recordkeeping and Transparency view and may be reviewed in a subsequent draft.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="timestamp" type="TradeTimestamp"/>

updatedForClearing

  Type: | xsd:dateTime, predefined, simple content

  When the most recent correction to this trade was supplied to a clearing service for clearing.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="updatedForClearing" type="xsd:dateTime"/>

updatedForConfirmation

  Type: | xsd:dateTime, predefined, simple content

  When the most recent correction to this trade was supplied to a confirmation service or counterparty for confirmation.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="updatedForConfirmation" type="xsd:dateTime"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.